Qt 5.7 | Qt 3D | C++ Classes | QRenderPassFilter

Qt 5.7.1 Reference Documentation

# QRenderPassFilter Class

(Qt3DRender::QRenderPassFilter)

Provides storage for vectors of Filter Keys and Parameters More...

Header: | #include <QRenderPassFilter>
qmake: | QT += 3drender
Since: | Qt 5.7
Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Public Functions

| QRenderPassFilter(Qt3DCore::QNode *parent = nullptr)
void | addMatch(QFilterKey *filterKey)
void | addParameter(QParameter *parameter)
QVector<QFilterKey *> | matchAny() const
QVector<QParameter *> | parameters() const
void | removeMatch(QFilterKey *filterKey)
void | removeParameter(QParameter *parameter)

- 1 public function inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QRenderPassFilter(QRenderPassFilterPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 properties inherited from Qt3DCore::QNode
- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode

## Detailed Description

Provides storage for vectors of Filter Keys and Parameters

## Member Function Documentation

### QRenderPassFilter::QRenderPassFilter(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QRenderPassFilter.

### `[protected]` QRenderPassFilter::QRenderPassFilter(QRenderPassFilterPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### void QRenderPassFilter::addMatch(QFilterKey *filterKey)

Add the filter key filterKey to the match vector.

### void QRenderPassFilter::addParameter(QParameter *parameter)

Add the parameter parameter to the parameter vector.

### QVector<QFilterKey *> QRenderPassFilter::matchAny() const

Returns a vector of the current keys for the filter.

### QVector<QParameter *> QRenderPassFilter::parameters() const

Returns the current vector of parameters.

### void QRenderPassFilter::removeMatch(QFilterKey *filterKey)

Remove the filter key filterKey from the match vector.

### void QRenderPassFilter::removeParameter(QParameter *parameter)

Remove the parameter parameter from the parameter vector.